<?php
$t = "Активация аккаунта";
include_once '../core/core.php';
if (isset($_GET["ae_code"]) && !empty($_GET["ae_code"]) && mb_strtolower($_GET['ae_code']) != "true" && mb_strtolower($_GET['ae_code']) != 'false'){
    $code = $core->FilterString($_GET['ae_code']);
    if ($db->Count('sites',"WHERE `email_activated` = '$code'") != 0){
    	$db->Query("UPDATE `sites` SET `email_resend`='".(time())."',`email_activated`='true' WHERE `email_activated` = '$code'");
		include_once '../core/head.php';
		echo '<div class="success">Ваш аккаунт активирован.</div>';
		echo hcp();
		include_once '../core/foot.php';
		die();
    } else {
		include_once '../core/head.php';
		echo '<div class="error">Код активации не найден.</div>';
		echo hcp();
		include_once '../core/foot.php';
		die();
    }
}

if (!$user->auth()){
	include_once '../core/head.php';
	echo '<div class="error">Необходимо пройти войти в систему для посещения данной страницы.</div>';
	echo h();
	include_once '../core/foot.php';
	die();
}

if ($user->getData()->email_activated == "true"){
	include_once '../core/head.php';
	echo '<div class="success">Ваш аккаунт уже активирован.</div>';
	echo h();
	include_once '../core/foot.php';
	die();
}
if (isset($_GET["repeat"])){
	if ($user->getData()->email_resend+43200 > time()){
		$core->regError("","Следующие письмо можно будет отправить: ".$core->RealTime($user->getData()->email_resend+43200),1,"Email");
    } else {
		$gen_pwd = $core->StringHash(rand(12345,98765).rand(12345,98765).rand(12345,98765).rand(12345,98765));
		$db->Query("UPDATE `sites` SET `email_resend`='".time()."',`email_activated`='".$gen_pwd."' WHERE `id` = '".($user->getData()->id)."'");
		$th = "Активация аккаунта (".$user->getData()->domain.")";
		$tm = 'Здравствуйте, вы получили это письмо, так как запросили активацию аккаунта для сайта <a href="https://'.$user->getData()->domain.'/">'.$user->getData()->domain.'</a>.<br>
<br>
Для активации перейдите <a href="https://glark.ru/email.lm?ae_code='.$gen_pwd.'">по этой ссылке</a>.<br>
<br>
После активации аккаунта, вам станет доступна загрузка файлов на конструкторe сайтов.<br>
Благодарим за то, что выбрали наш конструктор сайтов.<br>
<br>
С уважением, Администрация Конструктора Сайтов <a href="https://glark.ru/?out=mail&ref='.$user->getData()->domain.'">gLark.Ru</a><br>
<hr>
Не отвечайте на это письмо, оно сформировано автоматический.<br>
Если вам нужна поддержка напишите в тикеты, которые находятся в панели управления или <a href="https://vk.com/piminov_remont">VK</a> и <a href="https://t.me/glark_chat">Telegram.</a>';
		sendMail($user->getData()->email,$th,$tm);
		$error_msg = "Письмо отправлено на вашу электронную почту";
		$emo = 1;
	}
}
include_once '../core/head.php';
if ($core->isBooleanError()){
	foreach ($core->showError() as $csE){
		echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
	}	
}
if (isset($error_msg)){
	echo '<div class="success">Письмо с активацией аккаунта отправлена вам на почту.</div>';
}
echo '<div class="title">Активация аккаунта</div>';
echo '<div class="error">Пока вы не активируйте аккаунт, вам не будет доступна <b>загрузка файлов</b>.</div>';
echo '<div class="text">
Активация аккаунта — это возможность получить бесплатный сайт за считанные минуты.<br>
Для этого необходимо лишь пройти регистрацию в системе и активировать свой аккаунт.<br>
Мы ценим каждого нашего клиента и понимаем, что для создания сайтов требуется время.<br>
Именно поэтому мы предлагаем вам воспользоваться нашим конструктором, чтобы создать сайт.<br>
<br>
Для активации аккаунта перейдите по ссылке, которая будет отправлена на ваш email.<br>
Если вы не получили письмо, свяжитесь с нами администрацией в тикетах, ВК или Telegram.<br>
<br>
Ваш аккаунт необходимо активировать!<br>Для этого перейдите по ссылке полученный в письме.<br>Если вы не получили ссылку, проверьте её в папке спама, в противном случаи обратитесь к службу поддержки. <br>
</div>';

echo l("/email.lm?repeat","Отправить письмо заново","question",false,false,"Письмо не пришло? Попробуйте еще раз.");
echo '<div class="warning">Проверьте папку <b>СПАМ</b>, письмо может быть именно там, также нажмите после Это не СПАМ, чтобы письма после приходили во входящие.<br>Письмо можно отправлять один раз в 12 часов.<br>Если есть проблемы с активацией аккаунта, напишите в администрацию по контактам.</div>';

echo hcp();
include_once '../core/foot.php';
?>